Bug 276465 - Spacing is related to the width of the brush
Summary: Spacing is related to the width of the brush
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Brush engines (show other bugs)
Version: git master (please specify the git hash!)
Platform: Unlisted Binaries Linux
: NOR major
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-25 12:48 UTC by LukasT
Modified: 2013-11-30 15:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Showing the problem in Krita (9.39 KB, image/png)
2011-06-25 12:49 UTC, LukasT
Details
Gimp spacing (3.37 KB, image/png)
2011-06-25 12:49 UTC, LukasT
Details

Note You need to log in before you can comment on or make changes to this bug.
Description LukasT 2011-06-25 12:48:37 UTC
Version:           svn trunk (using KDE 4.6.4) 
OS:                Linux

Spacing is not taking into account the width and height of the brush mask,
only the width

Reproducible: Always

Steps to Reproduce:
1. Create pixel brush 50 pixel width, aspect ratio 1.4
2. Paint vertically and paint horizontally
3. The spacing for vertical stroke is counted as spacing for horizontal



Expected Results:  
Spacing takes the shape width and height into account

OS: Linux (i686) release 2.6.35.13-92.fc14.i686
Compiler: gcc
Comment 1 LukasT 2011-06-25 12:49:19 UTC
Created attachment 61313 [details]
Showing the problem in Krita

How it looks in Krita
Comment 2 LukasT 2011-06-25 12:49:54 UTC
Created attachment 61314 [details]
Gimp spacing 

How it looks in GIMP under same settings regarding the brush
Comment 3 LukasT 2011-06-25 13:00:35 UTC
The bug is visible e.g. also in text brush, in default, 
compare the vertical stroke and horizontal stroke there too.
Comment 4 Halla Rempt 2011-11-04 22:26:10 UTC
Yes, I can definitely confirm.
Comment 5 Halla Rempt 2012-04-24 10:26:47 UTC
I think that this is a major bug.
Comment 6 Halla Rempt 2013-06-22 13:20:32 UTC
Isn't it actually the diameter we use?
Comment 7 Dmitry Kazakov 2013-07-30 11:45:38 UTC
Git commit 367a5692244df787eac0c672adbeb2afd8e7c5bc by Dmitry Kazakov.
Committed on 30/07/2013 at 09:50.
Pushed by dkazakov into branch 'master'.

Implemented anisotropic spacing for the Krita brushes

Now if you change the 'ratio' option the brush, the horizontal
and vertical spacing will be relative to the width and height of the
brush correspondingly.

This effect is achieved by used equation of a ellipse. When the
cumulative 'distance' value grows out of the ellipse defined by the
spacing values, a new dab is painted.

M  +1    -0    krita/image/CMakeLists.txt
M  +17   -32   krita/image/brushengine/kis_paintop.cc
M  +1    -1    krita/image/brushengine/kis_paintop.h
A  +114  -0    krita/image/kis_distance_information.cpp     [License: GPL (v2+)]
M  +75   -14   krita/image/kis_distance_information.h
M  +1    -1    krita/image/kis_painter.cc
M  +1    -1    krita/image/kis_painter.h
M  +2    -1    krita/image/recorder/kis_recorded_path_paint_action.cpp
M  +1    -1    krita/image/tests/kis_paintop_test.cpp
M  +1    -1    krita/plugins/paintops/chalk/kis_chalk_paintop.cpp
M  +1    -1    krita/plugins/paintops/chalk/kis_chalk_paintop.h
M  +6    -5    krita/plugins/paintops/colorsmudge/kis_colorsmudgeop.cpp
M  +1    -1    krita/plugins/paintops/colorsmudge/kis_colorsmudgeop.h
M  +1    -1    krita/plugins/paintops/curvebrush/kis_curve_paintop.cpp
M  +1    -1    krita/plugins/paintops/curvebrush/kis_curve_paintop.h
M  +5    -6    krita/plugins/paintops/defaultpaintops/brush/kis_brushop.cpp
M  +3    -3    krita/plugins/paintops/defaultpaintops/brush/kis_brushop.h
M  +2    -2    krita/plugins/paintops/defaultpaintops/duplicate/kis_duplicateop.cpp
M  +2    -3    krita/plugins/paintops/defaultpaintops/duplicate/kis_duplicateop.h
M  +1    -1    krita/plugins/paintops/deform/kis_deform_paintop.cpp
M  +1    -1    krita/plugins/paintops/deform/kis_deform_paintop.h
M  +2    -3    krita/plugins/paintops/dynadraw/kis_dyna_paintop.cpp
M  +2    -2    krita/plugins/paintops/dynadraw/kis_dyna_paintop.h
M  +1    -1    krita/plugins/paintops/experiment/kis_experiment_paintop.cpp
M  +3    -3    krita/plugins/paintops/experiment/kis_experiment_paintop.h
M  +2    -2    krita/plugins/paintops/filterop/kis_filterop.cpp
M  +2    -2    krita/plugins/paintops/filterop/kis_filterop.h
M  +1    -1    krita/plugins/paintops/gridbrush/kis_grid_paintop.cpp
M  +2    -2    krita/plugins/paintops/gridbrush/kis_grid_paintop.h
M  +1    -1    krita/plugins/paintops/hairy/kis_hairy_paintop.cpp
M  +1    -1    krita/plugins/paintops/hairy/kis_hairy_paintop.h
M  +2    -4    krita/plugins/paintops/hatching/kis_hatching_paintop.cpp
M  +2    -2    krita/plugins/paintops/hatching/kis_hatching_paintop.h
M  +33   -0    krita/plugins/paintops/libpaintop/kis_brush_based_paintop.cpp
M  +5    -0    krita/plugins/paintops/libpaintop/kis_brush_based_paintop.h
M  +1    -1    krita/plugins/paintops/mypaint/mypaint_paintop.cpp
M  +1    -1    krita/plugins/paintops/mypaint/mypaint_paintop.h
M  +2    -2    krita/plugins/paintops/particle/kis_particle_paintop.cpp
M  +4    -4    krita/plugins/paintops/particle/kis_particle_paintop.h
M  +2    -2    krita/plugins/paintops/sketch/kis_sketch_paintop.cpp
M  +4    -3    krita/plugins/paintops/sketch/kis_sketch_paintop.h
M  +1    -1    krita/plugins/paintops/spray/kis_spray_paintop.cpp
M  +2    -2    krita/plugins/paintops/spray/kis_spray_paintop.h
M  +1    -1    krita/ui/tool/strokes/freehand_stroke.cpp

http://commits.kde.org/calligra/367a5692244df787eac0c672adbeb2afd8e7c5bc
Comment 8 Inge Wallin 2013-08-02 20:38:45 UTC
Git commit 949f0ea284e58cda590bc240f97a4ca25427ee88 by Inge Wallin, on behalf of Dmitry Kazakov.
Committed on 30/07/2013 at 09:50.
Pushed by ingwa into branch 'text-annotation'.

Implemented anisotropic spacing for the Krita brushes

Now if you change the 'ratio' option the brush, the horizontal
and vertical spacing will be relative to the width and height of the
brush correspondingly.

This effect is achieved by used equation of a ellipse. When the
cumulative 'distance' value grows out of the ellipse defined by the
spacing values, a new dab is painted.

M  +1    -0    krita/image/CMakeLists.txt
M  +17   -32   krita/image/brushengine/kis_paintop.cc
M  +1    -1    krita/image/brushengine/kis_paintop.h
A  +114  -0    krita/image/kis_distance_information.cpp     [License: GPL (v2+)]
M  +75   -14   krita/image/kis_distance_information.h
M  +1    -1    krita/image/kis_painter.cc
M  +1    -1    krita/image/kis_painter.h
M  +2    -1    krita/image/recorder/kis_recorded_path_paint_action.cpp
M  +1    -1    krita/image/tests/kis_paintop_test.cpp
M  +1    -1    krita/plugins/paintops/chalk/kis_chalk_paintop.cpp
M  +1    -1    krita/plugins/paintops/chalk/kis_chalk_paintop.h
M  +6    -5    krita/plugins/paintops/colorsmudge/kis_colorsmudgeop.cpp
M  +1    -1    krita/plugins/paintops/colorsmudge/kis_colorsmudgeop.h
M  +1    -1    krita/plugins/paintops/curvebrush/kis_curve_paintop.cpp
M  +1    -1    krita/plugins/paintops/curvebrush/kis_curve_paintop.h
M  +5    -6    krita/plugins/paintops/defaultpaintops/brush/kis_brushop.cpp
M  +3    -3    krita/plugins/paintops/defaultpaintops/brush/kis_brushop.h
M  +2    -2    krita/plugins/paintops/defaultpaintops/duplicate/kis_duplicateop.cpp
M  +2    -3    krita/plugins/paintops/defaultpaintops/duplicate/kis_duplicateop.h
M  +1    -1    krita/plugins/paintops/deform/kis_deform_paintop.cpp
M  +1    -1    krita/plugins/paintops/deform/kis_deform_paintop.h
M  +2    -3    krita/plugins/paintops/dynadraw/kis_dyna_paintop.cpp
M  +2    -2    krita/plugins/paintops/dynadraw/kis_dyna_paintop.h
M  +1    -1    krita/plugins/paintops/experiment/kis_experiment_paintop.cpp
M  +3    -3    krita/plugins/paintops/experiment/kis_experiment_paintop.h
M  +2    -2    krita/plugins/paintops/filterop/kis_filterop.cpp
M  +2    -2    krita/plugins/paintops/filterop/kis_filterop.h
M  +1    -1    krita/plugins/paintops/gridbrush/kis_grid_paintop.cpp
M  +2    -2    krita/plugins/paintops/gridbrush/kis_grid_paintop.h
M  +1    -1    krita/plugins/paintops/hairy/kis_hairy_paintop.cpp
M  +1    -1    krita/plugins/paintops/hairy/kis_hairy_paintop.h
M  +2    -4    krita/plugins/paintops/hatching/kis_hatching_paintop.cpp
M  +2    -2    krita/plugins/paintops/hatching/kis_hatching_paintop.h
M  +33   -0    krita/plugins/paintops/libpaintop/kis_brush_based_paintop.cpp
M  +5    -0    krita/plugins/paintops/libpaintop/kis_brush_based_paintop.h
M  +1    -1    krita/plugins/paintops/mypaint/mypaint_paintop.cpp
M  +1    -1    krita/plugins/paintops/mypaint/mypaint_paintop.h
M  +2    -2    krita/plugins/paintops/particle/kis_particle_paintop.cpp
M  +4    -4    krita/plugins/paintops/particle/kis_particle_paintop.h
M  +2    -2    krita/plugins/paintops/sketch/kis_sketch_paintop.cpp
M  +4    -3    krita/plugins/paintops/sketch/kis_sketch_paintop.h
M  +1    -1    krita/plugins/paintops/spray/kis_spray_paintop.cpp
M  +2    -2    krita/plugins/paintops/spray/kis_spray_paintop.h
M  +1    -1    krita/ui/tool/strokes/freehand_stroke.cpp

http://commits.kde.org/calligra/949f0ea284e58cda590bc240f97a4ca25427ee88
Comment 9 Camilla Boemann 2013-11-30 15:53:30 UTC
Git commit 17c9132885af3afc2e5ab1b2aabcfe910e4de913 by C. Boemann.
Committed on 30/11/2013 at 15:52.
Pushed by boemann into branch 'master'.

Correctly merge the text-annotation branch.

    REVIEW: 111914
Related: bug 319155, bug 322940, bug 286971

Squashed commit of the following:

commit c26f5aa21ba649614f7a25e5b9d2b2f145a328fa
Merge: 955818d bbecfa5
Author: C. Boemann <cbo@boemann.dk>
Date:   Sat Nov 30 16:43:30 2013 +0100

    Merge branch 'text-annotation' of git://anongit.kde.org/calligra into text-annotation

commit 955818d359cd09ae612fc9a88f195da32760a68d
Author: C. Boemann <cbo@boemann.dk>
Date:   Sat Nov 30 16:43:10 2013 +0100

    less qDebug

commit e442fabb7fa0872e68a6117fdb41825402a70068
Merge: 0b4be46 d5f3f5d
Author: C. Boemann <cbo@boemann.dk>
Date:   Sat Nov 30 14:07:55 2013 +0100

    Merge branch 'master' into text-annotation

commit bbecfa5516a94e176ac14a7a9bbe195ef3270100
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Sat Nov 30 00:23:25 2013 +0100

    Don't show annotation shapes before they are laid out.

commit 0b4be4613cb6133c4a0b29090cb00604c82ec05d
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Fri Nov 29 23:29:12 2013 +0100

    some small additions

commit 61ebd0059738bb92607c367e18677f7bc5332037
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Fri Nov 29 21:06:08 2013 +0100

    Tested undo/redo.  Couldn't make it break or malfunction.

commit 4460fc3e0da7a2f7814f90c48078b35795465aa5
Merge: 311c665 a7cf9f9
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Fri Nov 29 19:16:30 2013 +0100

    Merge branch 'master' into text-annotation

commit 311c6651dc7ed24ee82153a7a2e030acf9a7aa82
Author: C. Boemann <cbo@boemann.dk>
Date:   Sun Nov 17 13:36:23 2013 +0100

    Better interactivity

commit e539fb0318f715f9a4c59c1e8c311c2a1a238e21
Author: C. Boemann <cbo@boemann.dk>
Date:   Sun Nov 17 13:36:08 2013 +0100

    more issues we need to fix

commit 72b4545f7a0bbb6ef8b825ae86ec1eba2ed207c6
Author: C. Boemann <cbo@boemann.dk>
Date:   Sat Nov 16 22:18:51 2013 +0100

    Preent inserting tables and annotatios into annotations

commit 7764db70ffcd3e71210d7a07f0609ab8af0e07fb
Merge: 06c65b2 c024391
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Thu Nov 14 17:58:04 2013 +0100

    Merge branch 'master' into text-annotation

commit 06c65b23279588a8d31198e96f2a806183d13c91
Author: C. Boemann <cbo@boemann.dk>
Date:   Wed Nov 13 22:31:20 2013 +0100

    update todo list

commit 8f04d441db001e37d8880f4460bf57efa5608465
Author: C. Boemann <cbo@boemann.dk>
Date:   Wed Nov 13 00:36:55 2013 +0100

    Make the annotation commands work

commit 36b4d39e0807e9ad4a4a2dcee897b06e9e9d619b
Author: C. Boemann <cbo@boemann.dk>
Date:   Tue Nov 12 22:59:59 2013 +0100

    Fix option widget layout
    and
    Fix a warning

commit 3528cca02c78833e17d2616466140bcc5dd86b2a
Author: C. Boemann <cbo@boemann.dk>
Date:   Tue Nov 12 22:49:34 2013 +0100

    bum words.rc version since we have added a new item

commit ad1f9ff40f8e13da6fdf035641e51468dcb47ec5
Author: C. Boemann <cbo@boemann.dk>
Date:   Tue Nov 12 22:33:49 2013 +0100

    Adding annotation is now undoable
     well except that the sidepanel doesn't disappear when the last annotation disappears

commit 327899b983342f5b480b5ced4e41820b4503b46a
Merge: df15690 35fea76
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Tue Nov 12 22:08:46 2013 +0100

    Merge branch 'master' into text-annotation

commit df156909e96767ab7dce6b3570b7f76ac8fe8298
Author: C. Boemann <cbo@boemann.dk>
Date:   Tue Nov 12 21:28:21 2013 +0100

    First steps on making deleting annotations undoable

commit 6771a21178866dbadeb33e0afdf9c8a569bb85bd
Author: C. Boemann <cbo@boemann.dk>
Date:   Sun Nov 10 22:09:43 2013 +0100

    Also call the buttons "Comment" rather than "Note" and change the implementation to use actions

commit 584accffe908c20afcab5da0a3db6883909e240c
Merge: 1e7c4fc b60307a
Author: C. Boemann <cbo@boemann.dk>
Date:   Sun Nov 10 18:01:51 2013 +0100

    Merge branch 'master' into text-annotation

commit 1e7c4fcf592df45297e925e1a2acbaafa954d0c2
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Wed Nov 6 19:43:15 2013 +0100

    Fix a couple of issues from the RR.

commit aa69ffc425f58099b40360f6bb01ec98248979a0
Merge: e52aa4f 499f472
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Wed Nov 6 18:23:41 2013 +0100

    Merge branch 'master' into text-annotation

    Reason: new review request

commit e52aa4f130dc04823ff6fe639b96a83d9927b2b8
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Wed Nov 6 00:38:41 2013 +0330

    Put insert Annotation action in TextTool and set a shortcut for it.

commit 65f0e5b894b4cbf417011b3a5dc2c8e6cd34e7e3
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Nov 5 22:27:13 2013 +0330

    Update Annotation_TODO

commit 533d8569fe57bc6219dbb7a2583e24af1d92f53c
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Nov 5 22:22:55 2013 +0330

    Update Annotatio_TODO

commit 160c5efb8ed336a6018ef8981d7e881c56d9e1da
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Nov 5 22:01:58 2013 +0330

    Fix the saving of annotations date format.

commit 51c8c680f562240bda558366cd794b39aa13c84d
Merge: 91ed060 1ae029d
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Nov 5 21:42:45 2013 +0330

    Merge remote-tracking branch 'origin/text-annotation' into text-annotation

commit 1ae029d76181c398360d9e1c002eecf71a780d11
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Tue Nov 5 18:31:38 2013 +0100

    Guard against layout of annotations before the canvas is created.

commit 91ed060a2f05cb2bf1db94a1035659956ab4432f
Merge: 5fb42a6 6817ebe
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Nov 5 18:21:19 2013 +0330

    Merge remote-tracking branch 'origin/master' into text-annotation

commit 5fb42a6cde77f8f01b90a1112b6d366d9ae2ba16
Merge: 3f47155 9fcbee1
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Tue Nov 5 13:46:13 2013 +0100

    Merge branch 'master' into text-annotation

    Conflicts:
    	words/part/KWDocument.cpp
    	words/part/KWDocument.h

commit 3f47155b38ab277189af4b584ed54c38e0424a00
Merge: 726d9d3 3dcbac5
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Sun Sep 8 10:16:14 2013 +0200

    Merge branch 'master' into text-annotation

commit 726d9d308b435051bc297dee52a4dcc0d684672d
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Fri Aug 30 15:13:47 2013 +0430

    Use ++it instead it++.

commit 9664cf487aedd11b81c10380fc50f919834ba64e
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Fri Aug 30 00:09:01 2013 +0430

    Fix problem calligra freezed at saving.

commit e10f038f0dca283d104638292964ce28ed74db55
Merge: b9a4b45 0c79406
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Thu Aug 29 23:34:49 2013 +0430

    Merge remote-tracking branch 'origin/text-annotation' into text-annotation

commit b9a4b450319ea844ecfa3662f26d3eb1765a7bab
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Thu Aug 29 23:33:52 2013 +0430

    Fixed issues in review.

commit 0c794069de36ac155692ff98fbd270c64b1288c7
Merge: ed8a4b0 e5a6ce1
Author: C. Boemann <cbo@boemann.dk>
Date:   Thu Aug 29 21:01:12 2013 +0200

    Merge branch 'master' into text-annotation

commit ed8a4b0ed957eba3cf241d1fa9fc2c043a5ec268
Author: C. Boemann <cbo@boemann.dk>
Date:   Thu Aug 29 20:45:47 2013 +0200

    Fix APIDox

commit e126b1363afdb2a7c09b24e80fa22e9a45c7562a
Author: C. Boemann <cbo@boemann.dk>
Date:   Sat Aug 17 11:16:27 2013 +0200

    Make the text tool report it being able to work with annotation shapes too

commit 5cc41fb428e7cccac4ac3ada22b767e63a93efcb
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Aug 27 21:49:32 2013 +0430

    Update annotations layout and connection lines when an anntation deleted.

commit 31fb81f27c14258fde4d9507ed0a454713c0299b
Merge: 9b6eb15 52daa7f
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Aug 27 21:33:06 2013 +0430

    Merge remote-tracking branch 'origin/text-annotation' into text-annotation

commit 9b6eb154a9e5c7cbedc5696cdeebbfb401f1450a
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Aug 27 21:24:21 2013 +0430

    Fix updating line connections, update whole of canvas.

commit 52daa7f89b099479801c7ef697943c7b789c59d0
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Fri Aug 23 10:32:11 2013 +0200

    Add to TODO

commit 3b3f261ebe5152793ae387f70374bbf65117f95c
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Fri Aug 23 12:57:45 2013 +0430

    Update the line conncetions between annotation shape and ref text between the outlinerect of page and textarea when y ref position changed.

commit 16e6ec345899c4f9b4575571f3dbfe1f97fe78fd
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Thu Aug 22 07:24:28 2013 +0200

    Make the UI show "Notes" everywhere, not "Annotations"

commit b18893656e8a438901f8447f5b265085a8db4f54
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Wed Aug 21 20:47:45 2013 +0200

    Get rid of annoying debug messages.

commit 869432abc5481633bd9de53fe83473d660d72c00
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Wed Aug 21 20:42:11 2013 +0200

    Make the annotation area continuous even at page breaks.

commit 114c0f1e29c315d3505fe886593c49d9a883f64c
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Mon Aug 19 01:11:53 2013 +0200

    Better handling of constants todo with annotations.

     - annotation area width moved from KWView to KWCanvasBase
     - constants in the annotation shape are now constants, not magic numbers.

     - Also updated TODO-ANNOTATIONS

commit fd3ad2cd01252705e8ad2178cf8b14ce107d1cd7
Merge: 34dedb7 9c36e72
Author: C. Boemann <cbo@boemann.dk>
Date:   Sat Aug 17 10:52:52 2013 +0200

    Merge branch 'master' into text-annotation

commit 34dedb7199303895e2f3b7736ec7260fe2520ec1
Author: C. Boemann <cbo@boemann.dk>
Date:   Sat Aug 17 10:29:01 2013 +0200

    Revert "Make sure the cursor is painted at the right position when textshape has padding"

    This reverts commit 4703e59eb66f82390d303c268371216f736d3368.

commit c856608e22be1095be330eb2a3196391d3da5854
Author: C. Boemann <cbo@boemann.dk>
Date:   Sat Aug 17 10:17:07 2013 +0200

    Make the line to the annotation point to the correct textposition
     it used to just point to topLeft of the paragraph

commit 8b9fc66329cfa5ea4eceb53a85c5596ed079fc39
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Fri Aug 16 20:22:10 2013 +0200

     * Two small changes for annotations
        - Support meta:date-string
        - some simplification of loading.

commit f88fb2cd17044f260e3d21266768638945aba591
Merge: ff59495 bc03d30
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Fri Aug 16 17:47:43 2013 +0200

    Merge branch 'master' into text-annotation

commit ff594951c3a5f7c3e00339f3e608ea7d3813c970
Merge: 2498fd6 d4e4b5c
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Thu Aug 15 19:24:35 2013 +0200

    Merge branch 'master' into text-annotation

commit 2498fd6c1851d3f6e181e486517b2a1426f4e749
Merge: cc891a9 474104e
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Thu Aug 15 19:24:26 2013 +0200

    Merge remote-tracking branch 'origin/text-annotation' into text-annotation

    Conflicts:
    	libs/flake/KoShapeManager.cpp
    	libs/kotext/KoTextEditor.h
    	libs/kotext/opendocument/KoTextLoader.cpp
    	plugins/textshape/dialogs/SimpleAnnotationWidget.cpp

commit cc891a94f589698f6afd79dac03a57dd9f716991
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Thu Aug 15 19:19:07 2013 +0200

    Fix some minor things pointed out in initial review.

commit 474104e12edafb34266415e13bdbcba30c23cc22
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Thu Aug 15 13:39:54 2013 +0430

    Some cleanup.

commit 0f42698e8355c4bf36fcc364af3333efcbf5fd1f
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Thu Aug 15 01:55:36 2013 +0430

    Fix save annotation method.

commit 24449c13144835471a97baf3c56278d65c816bba
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Wed Aug 14 18:56:07 2013 +0430

    writes <office:annotation-end> before <office:annotation> problem Fixed.

commit 6c953a8678935dde7454171d9f38ed93ac0074cc
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Wed Aug 14 16:24:36 2013 +0430

    Disconnect in right place.

commit f38f4c2c8f3f6fff18e8590e97dbc16e253e23d2
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Wed Aug 14 15:55:32 2013 +0430

    expanded shape doesn't move down other shapes Fixed.

commit ef4ec092a024cf05f73e91adc1fdafb487764b1d
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Tue Aug 13 17:57:53 2013 +0200

    Update the buglist

commit e9396a8244084f592fbccc2b51fe2dc2bc3fd10e
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Tue Aug 13 14:13:39 2013 +0200

    Save office:annotation, not text:annotation.

commit 347fbc6d55fec5a8cd0c1e3944dd3b6b0e50cc94
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Aug 6 16:26:43 2013 +0430

    Fix saving date problem.

commit b9c2c8fb5037dbe7f6922f577db0407d223f19fc
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Aug 6 14:43:21 2013 +0430

    Save the date value.

commit 6ff15b113e36be9b55b0eb9cbeb753b3d9676977
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Aug 6 14:32:31 2013 +0430

    Update TODO list.

commit 991474a204ba1cca404d3d7233be051b3eff0e11
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Aug 6 14:18:40 2013 +0430

    Use local date for annotation date format.

commit 14021b9f08facdd84c786f323245a0cbffa9cb71
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Aug 6 14:07:32 2013 +0430

    Clear KoAnnotation class.

commit 8119b38b050d6b79864b3552118adb6c22fdbc41
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Aug 6 03:48:32 2013 +0430

    Set new size and new position for annotation shapes.

commit efa172e4bd07c42fa392ae0bcb6530a20b55e858
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Aug 6 03:01:19 2013 +0430

    paint connection lines with new path and new style.

commit 83f53b29d5326a308f893b703d70dcfe7b863604
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Mon Aug 5 17:44:31 2013 +0430

    Set Creator and Date for annotation shape  that user insert.

commit e57f9f6704dee43291037e5b8388fab1e163f623
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Sun Aug 4 14:23:01 2013 +0430

    Paint connections between text and annotation shape.

commit de296ec541b05aa4e396e44464f9386abf425838
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Sat Aug 3 15:34:03 2013 +0430

    Fix annotation background according to new chnages in master.

commit f24fd7c353ce8eadf161e967f82eada3822263e6
Merge: b00d243 221b8b6
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Sat Aug 3 14:37:00 2013 +0430

    Merge remote-tracking branch 'origin/master' into text-annotation

    Conflicts:
    	libs/flake/KoShape.h

commit b00d243b4ce7513dd9a7b7d1bb32deadc2cf17f5
Author: Timothée Giet <animtim@gmail.com>
Date:   Tue Jul 30 16:41:35 2013 +0200

    Revert "Properly fix the maskWidth/maskHeight problem"

    This reverts commit 2c30521ebd58ac15f1990b263e26501295417e18.
    which introduced bad precision regression.

commit 5648f5f7e1bd07fa3a7c4ad01e5f1828bd5655d3
Author: C. Boemann <cbo@boemann.dk>
Date:   Mon Jul 29 11:45:49 2013 +0200

    Fix crash

commit 01c887113428f2272cea58327a95846341716df6
Author: Dmitry Kazakov <dimula73@gmail.com>
Date:   Tue Jul 30 15:25:45 2013 +0400

    Added an option for disabling Anisotropic Spacing

commit 9300bc7a5d89dce100eb9c03ff97fdedf8f495e1
Author: Dmitry Kazakov <dimula73@gmail.com>
Date:   Tue Jul 30 14:41:34 2013 +0400

    Removed now unused methods x/ySpacing() of KisBrush

commit 8ba9ca546aceb76914b465f11af13da6d053b3fa
Author: Dmitry Kazakov <dimula73@gmail.com>
Date:   Tue Jul 30 13:52:12 2013 +0400

    PaintOps overriding paintLine() need not return spacing

commit 949f0ea284e58cda590bc240f97a4ca25427ee88
Author: Dmitry Kazakov <dimula73@gmail.com>
Date:   Tue Jul 30 13:50:48 2013 +0400

    Implemented anisotropic spacing for the Krita brushes

    Now if you change the 'ratio' option the brush, the horizontal
    and vertical spacing will be relative to the width and height of the
    brush correspondingly.

    This effect is achieved by used equation of a ellipse. When the
    cumulative 'distance' value grows out of the ellipse defined by the
    spacing values, a new dab is painted.

commit 72d1ab186b8c31b624bb6b67fdb4ee1c573d81f8
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Mon Jul 29 13:54:19 2013 +0200

    Wrap KoShapeBackground in QSharedPointer

    This patch wraps KoShapeBackground in a QPointer instead of doing manual
    refcounting. Bug 321714 shows, imo, that the manual refcounting is
    fragile and sometimes breaks. I don't remember why we weren't supposed
    to use QPointer (other than that it gets a little ugly with subclassing),
    but it seems a good fit here.

    There are other classes that do manual refcounting, and I think those
    should be converted, too -- but in another patch.

commit 41febefa8db07b014b186471b0efb7f060ad6eda
Author: Matus Uzak <matus.uzak@gmail.com>
Date:   Mon Jul 29 16:32:38 2013 +0200

    docx: Added support for bidi el. (Right to Left Section Layout).

    Changed interpretation of values of the jc element: In order to
    support different writing modes, left and right should be
    interpreted as start and end respectively.

    Reverted 36531721d558d5466d1dfd6a8a40068ccd7f3d1f

commit f0706f097bf3bffb0df5fc8af9323a47cf143d7f
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Mon Jul 29 12:59:29 2013 +0200

    Don't create and try to update empty tiles.

commit 950ca2057774ece4a5b57e4d7ca4bedd7661e94f
Author: Jos van den Oever <jos@vandenoever.info>
Date:   Mon Jul 29 12:06:52 2013 +0200

    Speed up conversion from ppt to odp by not compressing png and jpg files.

commit 8f954101cc836b11b080dbbf4f3dd637a4cd682e
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Sun Jul 28 12:04:39 2013 +0200

    Activate the right texture units

commit 232b0aa5c3d0d77f8164f0684746bef27ffb3fde
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Sat Jul 27 12:15:12 2013 +0200

    Revert "Wrap KoShapeBackground in QPointer"

    This reverts commit dcecbd47724d2ef34e7465c126b685ae9f8aadbb.

commit b6b528b7f4a3f9b4124143ee972ca476acfd4c68
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Fri Aug 2 22:22:19 2013 +0430

    Add an action that let user show or hide annotation area, annotation area will automatically shown after inserting an annotation shape.

commit b7d1f9a3cf4d5c85fd210f6a268bb3f379a85ce7
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Fri Aug 2 14:51:13 2013 +0430

    Fix problem, freezing after insert select annotation.

commit 5bbf9f52315f73888b37fd496f0c203d2ec68c1d
Author: C. Boemann <cbo@boemann.dk>
Date:   Mon Jul 29 11:13:33 2013 +0200

    Place annotations releative to their placement in the text

    there is a bug however, adding more than one annotation will freeze words

commit 6f2c0200b72740183387704dbf33efb3989b8c38
Merge: 292c1f2 4703e59
Author: C. Boemann <cbo@boemann.dk>
Date:   Sun Jul 28 12:09:33 2013 +0200

    Merge remote-tracking branch 'origin' into text-annotation

commit 292c1f250085bce97ec914a2afe541b06c573dd5
Author: C. Boemann <cbo@boemann.dk>
Date:   Sun Jul 28 11:57:22 2013 +0200

    qDebugg--
    and make sure we actually clip so we don't draw too much

commit 993f7b5a3ebc57c33f37d52460801d5341c5e014
Author: C. Boemann <cbo@boemann.dk>
Date:   Sun Jul 28 10:36:34 2013 +0200

    Fix annotation shape not updating when typing in it

    also removed the annotationshape:paintcomponent mpl as the Textshape ditto is good enough

commit 2ffc0222cb7df6f4d96203fb32f2d740f233e3ff
Merge: e71ff65 37dbe67
Author: C. Boemann <cbo@boemann.dk>
Date:   Sat Jul 27 20:32:04 2013 +0200

    Merge branch 'text-annotation' of git://anongit.kde.org/calligra into text-annotation

    Conflicts:
    	words/part/KWView.cpp

commit e71ff6540cc97a89cde93ca5329d9e9871dbecc6
Merge: 64ef332 19953b1
Author: C. Boemann <cbo@boemann.dk>
Date:   Sat Jul 27 20:21:53 2013 +0200

    Merge remote-tracking branch 'origin' into text-annotation

    Conflicts:
    	words/part/KWView.cpp

commit 37dbe678233132a80ff4a51a10b98ec66648e787
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Mon Jul 1 11:15:45 2013 +0700

    Add another issue

commit 69a6f5ceb38d70585bf4e51106fae86b921af119
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Fri Jun 28 11:39:32 2013 +0700

    Found some more bugs

commit 08dec667485701d188d28d18da803b50a12192ab
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Fri Jun 28 10:23:30 2013 +0700

    Add a TODO and an informational file to the branch.

    These are only usable during the development and should be removed
    before merging to master.

commit ee481f996e0f997bb42968115f3c31b53a1a4c96
Merge: d4a75b5 a896114
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Mon Jun 24 10:52:47 2013 +0700

    Merge branch 'master' into text-annotation

commit d4a75b506bb228deaba39e1839cc36fca2d211e3
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Sat Jun 22 15:44:25 2013 +0430

    Anchor the text that annotation shape is referenced to it when user select on an annotation shape.

commit bf66b6a31fe1fbda568e1d63bdfe090a5eaaa370
Merge: 62738e6 5a4fdc6
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Thu Jun 20 15:48:56 2013 +0430

    Merge remote-tracking branch 'origin/master' into text-annotation

commit 62738e6b49fc8f8cc80e46998620ac5c5bf61fc0
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Fri May 31 21:15:07 2013 +0430

    Disable delete and option button at annotatio shape.

commit e3ef1abb3706f3d84a4b08129989f5e73e9e315a
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Thu May 30 23:55:59 2013 +0430

    Text shape can shrink just for annotation shapes.

commit 771044c1251695ddc58123d4087b7a356fd55af8
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Sat May 25 00:28:22 2013 +0430

    Fix conflicts.

commit d8418d6164b7a2e31ae939043605056cba5c4ddd
Merge: 56b90b3 683ebc2
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Sat May 25 00:07:06 2013 +0430

    Merge remote-tracking branch 'origin/master' into text-annotation

    Conflicts:
    	words/part/KWView.cpp

commit 56b90b38f42ac26978519eba37bdbd0a09a44d2d
Merge: f67dffc 5e06af9
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Thu May 2 22:02:17 2013 +0430

    Merge remote-tracking branch 'origin/text-annotation' into text-annotation

commit f67dffc4745529c43f19db29fa969f2903fbc082
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Thu May 2 21:49:35 2013 +0430

    Sort the list of annotations in map to thrier reference position.

commit 5e06af99d8563c0d592b6acfadbcc0bf340d588b
Merge: 72d5de7 c684496
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Mon Apr 29 18:44:49 2013 +0200

    Merge branch 'master' into text-annotation

commit 72d5de7261540689184caa23ae5425c50bfa5cec
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Sat Apr 27 20:57:49 2013 +0430

    Fix problem about showing loaded annotation.

commit 64ef332610b4505db36d32080051a082ccb9fa4a
Author: C. Boemann <cbo@boemann.dk>
Date:   Mon Apr 22 22:52:00 2013 +0200

    make the layout of annotations actually be called

commit 9268c12c1a2b4d5de3fb79db1d9734bde0979d97
Merge: f4d2c6a 11f9fba
Author: C. Boemann <cbo@boemann.dk>
Date:   Mon Apr 22 16:45:18 2013 +0200

    Merge branch 'text-annotation' of git://anongit.kde.org/calligra into text-annotation

commit f4d2c6a928a7518c07d14463235078eab956bda4
Author: C. Boemann <cbo@boemann.dk>
Date:   Thu Apr 18 00:41:38 2013 +0200

    some changes to the way layout of annotation shapes takes place

commit 11f9fba704dfc19297e808eb9c942b389855d68d
Merge: c1ec636 e3a1b70
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Fri Apr 19 19:42:45 2013 +0200

    Merge branch 'master' into text-annotation

commit c1ec6366b5b2caf3bb5f8c0ba064417693b18f79
Merge: e1c30d4 9ef0d14
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Apr 16 22:58:15 2013 +0430

    Merge remote-tracking branch 'origin/master' into text-annotation

    Conflicts:
    	plugins/textshape/CMakeLists.txt

commit e1c30d47d1655378afd450d5aa00b4dbef0ad45d
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Wed Apr 10 13:00:36 2013 +0430

    Add Remove annotation button to remove selected annotation shape.

commit 133ed324cb5c4bc0129e0ca78b97cac42682ff76
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Tue Apr 9 13:19:09 2013 +0430

    Insert annotation in Review Tool plugin.

commit ba271ef19e902c4231c28c1fb9e07ba14eba4b8f
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Sun Apr 7 20:22:11 2013 +0430

    Change shape and color of annotation shape.

commit 47bd08cd197b09d90d0a4dedfec4e8c10ba1efdd
Merge: 287f3b1 d0643a2
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Sat Apr 6 18:00:03 2013 +0200

    Merge branch 'master' into text-annotation

commit 287f3b16e9b1a47c407316c3b2dfc3fe5503a250
Merge: 99a646f ff05026
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Mon Mar 18 20:16:56 2013 +0100

    Merge branch 'master' into text-annotation

commit 99a646f19297e65ccaad18b0d6bc0bb35acf44cf
Merge: d8a509c 31e350c
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Wed Mar 13 22:11:23 2013 +0100

    Merge branch 'master' into text-annotation

commit d8a509cf9bf2d3eb4a32c3f9f80113a7b9e43996
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Fri Mar 8 13:37:32 2013 +0330

    Remove annotation shape.
    Handle mouse press event for annotation shapes in TextTool::mousePressEvent.
    Handle mouse move event.
    Add an signal in KoShapeManager, when an annotation shape removed from shape manager.

commit 40b4463fb708cbd31ff469f457faf59bcce38a90
Merge: 4fc90b8 6910b44
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Thu Mar 7 17:20:42 2013 +0330

    Merge remote-tracking branch 'origin/text-annotation' into text-annotation

commit 4fc90b8c27a43c79dd8288e7eee55c5813be4545
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Thu Mar 7 17:15:11 2013 +0330

    Paint a rect in corner at right top of annotation shape as delete annotation button.

commit 6910b444c12389f3528946424b4c00e003910d84
Merge: 19ec206 442a34d
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Wed Mar 6 21:01:19 2013 +0100

    Merge branch 'master' into text-annotation

commit 19ec2063b676d60ce1fecb4b738745139b1f1b53
Merge: 52f138d 286af63
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Wed Mar 6 19:48:26 2013 +0330

    Merge remote-tracking branch 'origin/text-annotation' into text-annotation

commit 52f138dd25cc719b490559e53e9000ebc6b7395f
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Wed Mar 6 19:44:21 2013 +0330

    Set annotation information (Author and Date) at top of the shape.

commit 286af63f84264ff4c61f8d35cdb685e32fec81de
Merge: 80db4df 3ae9d43
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Mon Mar 4 19:26:27 2013 +0100

    Merge branch 'master' into text-annotation

commit 80db4df1be47fab268b58560c300a54380c8c313
Merge: 54654e0 db3cae7
Author: C. Boemann <cbo@boemann.dk>
Date:   Sun Mar 3 21:12:57 2013 +0100

    Merge branch 'master' into text-annotation

commit 54654e0ff255ff906809878be6d82ec9507d069a
Merge: b2156ca 737465a
Author: C. Boemann <cbo@boemann.dk>
Date:   Sun Mar 3 18:46:29 2013 +0100

    Merge branch 'master' into text-annotation

commit b2156caacfee1bddaafc8cfe2335e8f730503071
Merge: b87e05e bb66907
Author: C. Boemann <cbo@boemann.dk>
Date:   Sun Mar 3 18:07:31 2013 +0100

    Merge branch 'master' into text-annotation

commit bb669078608c6a3f531c40a0fb88c6ddb3e4b0cd
Author: C. Boemann <cbo@boemann.dk>
Date:   Sun Mar 3 18:03:13 2013 +0100

    Make switching too in modebox faster (no need to recalc the icon size everytime)

commit b87e05e4e5ca18d4cdbbcde54d33d6222883302f
Merge: 7054a91 851fe7c
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Sat Mar 2 22:44:11 2013 +0330

    Merge remote-tracking branch 'origin/text-annotation' into text-annotation

commit 7054a916c54a4d7a84bc25e4b48dcb318f13fbc5
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Sat Mar 2 22:39:25 2013 +0330

    Set annotation shapes in different pages and in right page.

commit 851fe7c7f077a3d404ee07f3bdd0934540f81c91
Merge: 6a4a51c 2218723
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Fri Mar 1 22:15:06 2013 +0100

    Merge branch 'master' into text-annotation

commit 6a4a51c767f9801593a21b79346b56a067ef327c
Merge: 14a2dc3 2f3be17
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Fri Mar 1 20:37:03 2013 +0330

    Merge remote-tracking branch 'origin/text-annotation' into text-annotation

commit 14a2dc3b5f6c18d84999622acd8f5d71946fc834
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Fri Mar 1 14:34:53 2013 +0330

    Handle changing annotations shapes size automatically when you add an annotation shape.

commit 2f3be17a33ef377fcd25a604910de1efd3c6be66
Merge: 94cc9bd 09967cc
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Tue Feb 26 20:44:22 2013 +0100

    Merge branch 'master' into text-annotation

commit 94cc9bda514b1bdf4ec89178b4e751e17a4997ca
Merge: bab0634 f30f536
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Mon Feb 25 20:09:45 2013 +0330

    Merge remote-tracking branch 'origin/text-annotation' into text-annotation

commit bab06344d1ccf3950fb28385718920f6b24f2c53
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Mon Feb 25 20:02:25 2013 +0330

    Move layout annotation shapes, stuff from KwCanvas to KWView with this when we insert an annotation
    shape i register an annotation and add it to annotation manager and also add the shape to
    annotation layout manager, and no problem in saving them because now we have them in annotation manager.
    Also define new signal specific for annotation shapes in KWDocument.

commit f30f5364f5a5ee2ffd96668371162356f4da2c92
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Sat Feb 23 16:13:57 2013 +0100

    Make the background of the annotation shape solid white.

commit 08cae5acf8a564d71bf646b6ce38e65cec509617
Merge: 8c9326c ca63ca7
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Sat Feb 23 15:17:37 2013 +0100

    Merge branch 'master' into text-annotation

commit 8c9326c2578ab0417e50b55491e75ed733ccced3
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Sat Feb 23 13:38:44 2013 +0100

    Paint all backgrounds before we paint anything else.

    Before the annotations were overpainted by the color of the annotation
    area because it was painted after the contents was painted.

commit c505ae4ab7b1f13da9aebcb0e904d43c106b287d
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Sat Feb 23 12:50:44 2013 +0100

    Fix problems with painting the annotation area.

    There is still a problem because all shapes are painted before the
    area so the annotation shapes will be painted over.  The painting of
    the area has to be moved to before the painting of the shapes.

commit 9e09e7835da7402f56c389a8d962ad16c337b424
Merge: dd2ddd6 6774114
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Thu Feb 21 09:56:08 2013 +0100

    Merge branch 'master' into text-annotation

commit dd2ddd6835becdd5b573d4d97f2e30ef586fa61e
Merge: e3f05b4 99cb7ab
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Wed Feb 20 20:37:30 2013 +0100

    Merge branch 'master' into text-annotation

commit e3f05b4c58055b934ea728c67eb26a50e5c2118b
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Sun Feb 17 21:18:30 2013 +0330

    Layout annotation shapes, with  class KoAnnotationLayoutManager, for now its position is hardcoded in x == 400.

commit e9ef3e04202d137fdfc3b0f8494aa410ecb15708
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Sat Feb 16 17:42:50 2013 +0100

    Reenable the signal now that there is a new API for shapes in flake.

commit 60814211de89ee9d7a9fca8b2d95c4bb28d009ba
Merge: 2eeedc8 b25faa3
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Sat Feb 16 10:24:45 2013 +0100

    Merge branch 'master' into text-annotation

    Conflicts:
    	libs/widgets/KoBalloon.h
    	libs/widgets/KoOpacityConfigWidget.h
    	plugins/textshape/AnnotationTextShapeFactory.h
    	plugins/textshape/TextDocumentInspectionPlugin.cpp
    	plugins/textshape/TextDocumentInspectionPlugin.h
    	words/part/KWCanvas.cpp

commit 2eeedc8451cdd71733388bab948cdae320454ca2
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Fri Feb 15 19:24:23 2013 +0100

    Fix broken build in a hacky way.

    This breakage was introduced by my previous patch.  Boemann says that
    she has a better way of doing this anyway so we will just comment the
    offending line away for now.

commit c965e855efb13716fc39c276a2a61b46cbce991c
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Fri Feb 15 18:48:02 2013 +0100

    Remove a line on advice (more like an order :)) from boemann.

commit 13eeae1f47c0a0e4fcb958c2514d9d8177b39f88
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Fri Feb 15 18:29:55 2013 +0100

    Some small cleanups, FIXME's and notes for later work.

commit c8becb5d98f2799ccaa68426a8d1a913be06c729
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Mon Jan 28 21:35:46 2013 +0100

    Make the annotation area work with zoom settings Fit to Page Width

commit 9114e642206208eb95db10d1f74832ef2e1c9ce0
Author: Inge Wallin <inge@lysator.liu.se>
Date:   Mon Jan 28 19:58:50 2013 +0100

    Make clear that there is a temporary hack in the code that has to be fixed.

commit fa867b2bafa2f30615b6d841e918b54faf233d80
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Thu Jan 24 20:58:57 2013 +0330

    Reintroduce the red "annotation area" per boemann's plan.

commit c8b39525e57b4ff26814bd180ec4e0372472effe
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Sun Jan 27 22:57:22 2013 +0330

    Implement Annotation::saveOdf, call it from KoAnnotation  and tweak words to doesen't KoShape::saveOdf.

commit 80e04c49b81ae0b24ac4e5bb5a5ceb67d667f60d
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Sun Jan 27 12:57:24 2013 +0330

    Load annotation at a shape and show it in document.

commit e346a0277d2815a9fce637eae51417b0f774d636
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Sat Jan 26 19:22:45 2013 +0330

    Add an annotation shape with AnnotationTextShape. you can edit text set bold, italic and also have a list.

commit d8753f798c4cf507750b90e0a161313ad48e9cc4
Author: Mojtaba Shahi Senobari <mojtaba.shahi3000@gmail.com>
Date:   Sat Jan 26 15:43:42 2013 +0330

    Remove all old ui for annotation.

A  +50   -0    ANNOTATIONS-ODF
A  +56   -0    TODO-ANNOTATIONS
M  +1    -0    libs/flake/CMakeLists.txt
A  +203  -0    libs/flake/KoAnnotationLayoutManager.cpp     [License: LGPL (v2+)]
A  +78   -0    libs/flake/KoAnnotationLayoutManager.h     [License: LGPL (v2+)]
M  +5    -0    libs/flake/KoShapeController.cpp
M  +9    -2    libs/flake/KoShapeController.h
M  +5    -0    libs/flake/KoShapeManager.cpp
M  +4    -0    libs/flake/KoShapeManager.h
M  +2    -0    libs/kotext/CMakeLists.txt
M  +50   -89   libs/kotext/KoAnnotation.cpp
M  +3    -11   libs/kotext/KoAnnotation.h
M  +33   -0    libs/kotext/KoTextEditor.cpp
M  +17   -1    libs/kotext/KoTextEditor.h
M  +1    -0    libs/kotext/KoTextRangeManager.cpp
A  +65   -0    libs/kotext/commands/AddAnnotationCommand.cpp     [License: LGPL (v2+)]
C  +22   -24   libs/kotext/commands/AddAnnotationCommand.h [from: plugins/textshape/TextToolFactory.cpp - 052% similarity]
A  +70   -0    libs/kotext/commands/DeleteAnnotationsCommand.cpp     [License: LGPL (v2+)]
C  +24   -22   libs/kotext/commands/DeleteAnnotationsCommand.h [from: plugins/textshape/TextToolFactory.cpp - 055% similarity]
M  +10   -0    libs/kotext/commands/DeleteCommand.cpp
M  +16   -4    libs/kotext/opendocument/KoTextLoader.cpp
M  +11   -7    libs/main/KoModeBox.cpp
M  +22   -0    libs/textlayout/KoTextDocumentLayout.cpp
M  +2    -0    libs/textlayout/KoTextDocumentLayout.h
A  +171  -0    plugins/textshape/AnnotationTextShape.cpp     [License: LGPL (v2+)]
A  +89   -0    plugins/textshape/AnnotationTextShape.h     [License: LGPL (v2+)]
A  +135  -0    plugins/textshape/AnnotationTextShapeFactory.cpp     [License: LGPL (v2+)]
C  +16   -21   plugins/textshape/AnnotationTextShapeFactory.h [from: plugins/textshape/TextToolFactory.cpp - 054% similarity]
M  +6    -0    plugins/textshape/CMakeLists.txt
M  +49   -3    plugins/textshape/ReviewTool.cpp
M  +6    -2    plugins/textshape/ReviewTool.h
M  +2    -1    plugins/textshape/ReviewToolFactory.cpp
M  +5    -0    plugins/textshape/SimpleRootAreaProvider.cpp
M  +2    -0    plugins/textshape/TextPlugin.cpp
M  +68   -12   plugins/textshape/TextTool.cpp
M  +3    -0    plugins/textshape/TextTool.h
M  +2    -1    plugins/textshape/TextToolFactory.cpp
A  +14   -0    plugins/textshape/dialogs/SimpleAnnotationWidget.cpp     [License: UNKNOWN]  *
A  +26   -0    plugins/textshape/dialogs/SimpleAnnotationWidget.h     [License: UNKNOWN]  *
C  +34   -15   plugins/textshape/dialogs/SimpleAnnotationWidget.ui [from: plugins/textshape/dialogs/SimpleSpellCheckingWidget.ui - 051% similarity]
M  +6    -0    plugins/textshape/dialogs/SimpleSpellCheckingWidget.ui
M  +11   -3    words/part/KWCanvas.cpp
M  +46   -10   words/part/KWCanvasBase.cpp
M  +10   -0    words/part/KWCanvasBase.h
M  +37   -5    words/part/KWDocument.cpp
M  +13   -1    words/part/KWDocument.h
M  +1    -0    words/part/KWOdfSharedLoadingData.cpp
M  +6    -0    words/part/KWOdfWriter.cpp
M  +38   -7    words/part/KWView.cpp
M  +3    -1    words/part/KWView.h
M  +63   -7    words/part/KWViewModeNormal.cpp
M  +5    -0    words/part/frames/KWTextFrameSet.cpp
M  +2    -1    words/part/words.rc

The files marked with a * at the end have a non valid license. Please read: http://techbase.kde.org/Policies/Licensing_Policy and use the headers which are listed at that page.


http://commits.kde.org/calligra/17c9132885af3afc2e5ab1b2aabcfe910e4de913